FAQ: 0x00100000: Cannot load libraries: javahl.SVNClient

ivinnykov
Posts: 473
Joined: Tue Jan 03, 2006 11:57 am
Location: Kharkiv, Ukraine

FAQ: 0x00100000: Cannot load libraries: javahl.SVNClient

Postby ivinnykov » Thu Jul 19, 2007 6:17 pm

In order to resolve this problem see: http://www.polarion.org/index.php?page= ... sive#notes
Best regards,
Igor Vinnykov
Polarion Team

arjan
Posts: 1
Joined: Mon Aug 06, 2007 12:18 pm

Postby arjan » Mon Aug 06, 2007 12:53 pm

In Debian javahl is in the standard repository, so you can just apt-get it. It's not very clear at all how to tell subversive to use the native libraries on Debian Linux. After some puzzling and looking at the source, I found the following workaround:

The JavaHLClientWrapperFactory that Subversive is using, looks into the eclipse/plugins/org.polarion.team.svn.client.javahl.win32.XXX directory, with XXX beging the highest number.

In that directory it looks for any file which either ends with .dll or .so and has "java" in its name.

So, to get it to work it did the following:

Code: Select all

sudo apt-get install subversion libsvn-java

cd [ECLIPSE_HOME]/plugins/org.polarion.team.svn.client.javahl.win32_1.1.3

mv libsvnjavahl-1.dll libsvnjavahl-1.dll.OLD

ln -s /usr/lib/jni/libsvnjavahl-1.so libsvnjavahl-1.so

[start eclipse]


Notes:
On my system 1.1.3 was the highest version, but this can of course be different in the future. You have to create the symlink in the directory with the highest version.

If libsvnjavahl-1.so is not installed in /usr/lib/jni on your system, just "locate javahl" and try to use any other libsvnjavahl-X.so you find.

PS
Perhaps Subversive could use a more intuitive method to load the native libraries on Linux? Especially the .win32 directory is not a very obvious location for storing the linux library ;)

Kind regards,
Arjan Tijms

NimdaCinatas
Posts: 6
Joined: Fri Oct 13, 2006 1:08 pm
Location: Sauerland, Germany

Postby NimdaCinatas » Thu Aug 09, 2007 12:12 pm

Arjan,

the symbolic link you mentioned can also be put into this directory on linux/unix systems:

[ECLIPSE_HOME]/plugins/org.polarion.team.svn.client.javahl_1.1.3


...so you don't need to use the win32 directory.

Kind regards,
NC

mindhaq
Posts: 2
Joined: Sat Sep 01, 2007 7:07 pm
Location: Berlin

Postby mindhaq » Sat Sep 01, 2007 7:28 pm

Until yesterday it worked for me on to add the following to my Eclipse starter configuration (using the Debian package):

Code: Select all

-vmargs -Djava.library.path=/usr/lib/jni


funnily, as of today, the library cannot be found anymore. There was a Kernel update today, and I installed Hibernate Tools (disabled it again after Subversive stopped working).

So I just tried the above solution with the symlink, but that doesn't work either. So it's SVNkit for now :roll:

Any further ideas are very welcome!

mindhaq
Posts: 2
Joined: Sat Sep 01, 2007 7:07 pm
Location: Berlin

Postby mindhaq » Thu Nov 01, 2007 11:39 am

It took some time, but I finally managed to activate JavaHL again. Instead of setting the java.library.path in the desktop starter, it is much better to do it in eclipse.ini.

jimboyaya
Posts: 2
Joined: Tue Jun 03, 2008 6:47 pm

Postby jimboyaya » Fri Jun 06, 2008 9:30 pm

Anyone have a solution for this on MacOSX?
Thanks,
--jim
--jim


Return to “Polarion Subversive - Eclipse Client for SVN”

Who is online

Users browsing this forum: No registered users and 2 guests